From be7b2c67e5e8b9f24d36e640a9898abf81d6af8d Mon Sep 17 00:00:00 2001
From: "Hahn Axel (hahn)" <axel.hahn@iml.unibe.ch>
Date: Wed, 21 Apr 2021 15:55:17 +0200
Subject: [PATCH] update download dir ... use variable for downloadfile

---
 deploy_app.sh | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

diff --git a/deploy_app.sh b/deploy_app.sh
index 99975c4..7450e40 100755
--- a/deploy_app.sh
+++ b/deploy_app.sh
@@ -14,7 +14,7 @@
 cd $( dirname $0 )
 selfdir=$( /bin/pwd )
 
-tmpdir=/tmp
+tmpdir=/var/tmp/imldeployment_packages
 
 wait=0
 # wait=1
@@ -150,6 +150,7 @@ else
     isupdate=1
     mv "${downloadtmp}" "${downloadfile}"
 fi
+ls -l "${downloadfile}"
 
 
 # ----------------------------------------------------------------------
@@ -168,8 +169,8 @@ run_task "${profiledir}/tasks_preinstall.sh"
 
 
 # ----------------------------------------------------------------------
-header "Extract ${IMLCI_PROJECT}.tgz into $( pwd )"
-tar -xzf ${tmpdir}/${IMLCI_PROJECT}.tgz . || exit 3
+header "Extract ${downloadfile} $( pwd )"
+tar -xzf "${downloadfile}" . || exit 3
 ls -l
 
 
@@ -183,6 +184,7 @@ header "Update config files"
 echo "Showing replacements:" ; grep '@replace\[' hooks/templates/*
 run_task "${profiledir}/tasks_config.sh"
 
+
 # ----------------------------------------------------------------------
 header "Set file owner [${appowner}]"
 if [ ! -z "${appowner}" ]; then
-- 
GitLab